SDL_JoyAxisEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

SDL_EventType | type
Uint32 | reserved
Uint64 | timestamp
SDL_JoystickID | which
Uint8 | axis
Uint8 | padding1
Uint8 | padding2
Uint8 | padding3
Sint16 | value
Uint16 | padding4

## Detailed Description

Joystick axis motion event structure (event.jaxis.*)

Since
  This struct is available since SDL 3.2.0.

Definition at line 504 of file SDL_events.h.

## Field Documentation

## axis

Uint8 SDL_JoyAxisEvent::axis

The joystick axis index

Definition at line 510 of file SDL_events.h.

## padding1

Uint8 SDL_JoyAxisEvent::padding1

Definition at line 511 of file SDL_events.h.

## padding2

Uint8 SDL_JoyAxisEvent::padding2

Definition at line 512 of file SDL_events.h.

## padding3

Uint8 SDL_JoyAxisEvent::padding3

Definition at line 513 of file SDL_events.h.

## padding4

Uint16 SDL_JoyAxisEvent::padding4

Definition at line 515 of file SDL_events.h.

## reserved

Uint32 SDL_JoyAxisEvent::reserved

Definition at line 507 of file SDL_events.h.

## timestamp

Uint64 SDL_JoyAxisEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 508 of file SDL_events.h.

## type

SDL_EventType SDL_JoyAxisEvent::type

SDL_EVENT_JOYSTICK_AXIS_MOTION

Definition at line 506 of file SDL_events.h.

## value

Sint16 SDL_JoyAxisEvent::value

The axis value (range: -32768 to 32767)

Definition at line 514 of file SDL_events.h.

## which

SDL_JoystickID SDL_JoyAxisEvent::which

The joystick instance id

Definition at line 509 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h